<?php
namespace Uiharu;

use Index\MediaType;

interface ILookupResult {
    function getUrl(): Url;
    function getObjectType(): string;

    function hasMediaType(): bool;
    function getMediaType(): MediaType;

    function hasColour(): bool;
    function getColour(): int;

    function hasTitle(): bool;
    function getTitle(): string;

    function hasSiteName(): bool;
    function getSiteName(): string;

    function hasDescription(): bool;
    function getDescription(): string;

    function hasPreviewImage(): bool;
    function getPreviewImage(): string;
}
